Package org.oasis_open.docs.ws_calendar.ns.soap

# Class CalendarDataResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.CalendarDataResponseType

public class CalendarDataResponseType extends Object
Calendar data returned as response. Depending on the requested format it will be returned as a string value or an icalendar element

Java class for CalendarDataResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalendarDataResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="text" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}icalendar"/>
             </choice>
           </sequence>
           <attribute name="content-type" type="{http://www.w3.org/2001/XMLSchema}string" default="application/calendar+xml" />
           <attribute name="version" type="{http://www.w3.org/2001/XMLSchema}string" default="2.0" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `contentType`
  `protected IcalendarType`
  `icalendar`
  `protected String`
  `text`
  `protected String`
  `version`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarDataResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  Gets the value of the contentType property.
  `IcalendarType`
  `getIcalendar()`
  Gets the value of the icalendar property.
  `String`
  `getText()`
  Gets the value of the text property.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `void`
  `setContentType(String value)`
  Sets the value of the contentType property.
  `void`
  `setIcalendar(IcalendarType value)`
  Sets the value of the icalendar property.
  `void`
  `setText(String value)`
  Sets the value of the text property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### text

    protected String text

  - ### icalendar

    protected IcalendarType icalendar

  - ### contentType

    protected String contentType

  - ### version

    protected String version

- ## Constructor Details

  - ### CalendarDataResponseType

    public CalendarDataResponseType()

- ## Method Details

  - ### getText

    public String getText()
    Gets the value of the text property.
    Returns:
      possible object is `String`

  - ### setText

    public void setText(String value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIcalendar

    public IcalendarType getIcalendar()
    Gets the value of the icalendar property.
    Returns:
      possible object is `IcalendarType`

  - ### setIcalendar

    public void setIcalendar(IcalendarType value)
    Sets the value of the icalendar property.
    Parameters:
      `value` - allowed object is `IcalendarType`

  - ### getContentType

    public String getContentType()
    Gets the value of the contentType property.
    Returns:
      possible object is `String`

  - ### setContentType

    public void setContentType(String value)
    Sets the value of the contentType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVersion

    public String getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`